﻿namespace MONOW_PAL_PARSER
{
    public class ClsDataPalSenseElement
    {
        private bool _IsError; // データが有効かどうか
        private object _Data;
        private byte _ErrorCode;
        private byte _SensorCode;
        private object _Ex;

        public bool IsError
        {
            get
            {
                return _IsError;
            }
            set
            {
                _IsError = value;
            }
        }

        public object Data
        {
            get
            {
                return _Data;
            }
            set
            {
                _Data = value;
            }
        }

        public byte ErrorCode
        {
            get
            {
                return _ErrorCode;
            }
            set
            {
                _ErrorCode = value;
            }
        }

        public byte SensorCode
        {
            get
            {
                return _SensorCode;
            }
            set
            {
                _SensorCode = value;
            }
        }

        public object Ex
        {
            get
            {
                return _Ex;
            }
            set
            {
                _Ex = value;
            }
        }

        /// <summary>
    /// SENSOR CODE 一覧
    /// </summary>
    /// <remarks></remarks>
        public enum E_SNSCD : byte
        {
            HALL = 0x0,
            TEMP = 0x1,
            HUMD = 0x2,
            LUMI = 0x3,
            ACCEL = 0x4,
            ACCEL_XYZ = 0x24,
            VOLT = 0x30,
            DIO = 0x31,
            EEP = 0x32
        }

        public enum E_EXCD_VOLT : byte
        {
            POWER = 0x8,
            ADC1 = 0x1,
            ADC2 = 0x2,
            ADC3 = 0x3,
            ADC4 = 0x4
        }
    }
}
