﻿namespace MONOW_PAL_PARSER
{
    public interface ITweDataPayload
    {
        /// <summary>
    /// ペイロードをバイト列に変換する
    /// </summary>
    /// <returns></returns>
    /// <remarks></remarks>
        byte[] ToByteArray();

        /// <summary>
    /// バイト列からペイロードオブジェクトを生成する
    /// </summary>
    /// <param name="b"></param>
    /// <returns></returns>
    /// <remarks></remarks>
        bool ParseByteArray(ref byte[] b);

        /// <summary>
    /// ペイロードの種別IDを得る（ダウンキャストを行うために利用）
    /// </summary>
    /// <returns></returns>
    /// <remarks></remarks>
        byte GetCmdId();
    }
}
